[R] Can't load e1071

About this list Date view Thread view Subject view Author view Attachment view

From: Andrew Perrin (clists@perrin.socsci.unc.edu)
Date: Wed 25 Jun 2003 - 05:43:24 EST


Message-id: <Pine.LNX.4.53.0306241542140.10465@perrin.socsci.unc.edu>

After upgrading to 1.7.0 under debian linux, I can't get e1071 working
properly.

The first problem I had was that g++-3.0 was the standard compiler but
wasn't installed, so I installed it. e1071 then installed correctly, but I
get the following:

aperrin@perrin:~/afshome/papers/authoritarian/R$ R

R : Copyright 2003, The R Development Core Team
Version 1.7.0 (2003-04-16)

R is free software and comes with ABSOLUTELY NO WARRANTY.
You are welcome to redistribute it under certain conditions.
Type `license()' or `licence()' for distribution details.

R is a collaborative project with many contributors.
Type `contributors()' for more information.

Type `demo()' for some demos, `help()' for on-line help, or
`help.start()' for a HTML browser interface to help.
Type `q()' to quit R.

[Previously saved workspace restored]

> library(e1071)
Error in dyn.load(x, as.logical(local), as.logical(now)) :
        unable to load shared library
"/usr/local/lib/R/site-library/e1071/libs/e1071.so":
  /usr/local/lib/R/site-library/e1071/libs/e1071.so: cannot dynamically
load executable
Error in library(e1071) : .First.lib failed

any suggestions? Thanks.

----------------------------------------------------------------------
Andrew J Perrin - http://www.unc.edu/~aperrin
Assistant Professor of Sociology, U of North Carolina, Chapel Hill
clists@perrin.socsci.unc.edu * andrew_perrin (at) unc.edu

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://www.stat.math.ethz.ch/mailman/listinfo/r-help


About this list Date view Thread view Subject view Author view Attachment view

This archive was generated by hypermail 2.1.3 : Tue 01 Jul 2003 - 09:12:08 EST